#include "MKL25Z4.h"
#include "FreeRTOS.h"
#include "task.h"

#ifdef SEGGER_SYSVIEW_TOOL
#include "SEGGER_SYSVIEW.h"
#endif

void NMI_Handler( void )
{
   for( ; ; )
   {
	   __asm("nop");
   }
}

void HardFault_Handler( void )
{
	   for( ; ; )
	   {
		   __asm("nop");
	   }
}

void task1(void * arg)
{
	TickType_t prevTime = xTaskGetTickCount();

	for(;;)
	{
		GPIOB->PTOR = 1 << 19;
		vTaskDelayUntil(&prevTime, 1000/portTICK_RATE_MS);
	}
}

void task2(void * arg)
{
	TickType_t prevTime = xTaskGetTickCount();

	for(;;)
	{
		__asm ( "nop" );
		vTaskDelayUntil(&prevTime, 2000/portTICK_RATE_MS);
	}
}


int main(void)
{
	SIM->SCGC5 |= 1 << 10;
	PORTB->PCR[19] |= PORT_PCR_MUX(1);
	GPIOB->PDDR |= 1 << 19;

#ifdef SEGGER_SYSVIEW_TOOL
	SEGGER_SYSVIEW_Conf();
#endif

	configASSERT( xTaskCreate( task1,
			     "myTask",
				 configMINIMAL_STACK_SIZE,
				 NULL,
				 1,
				 NULL) == pdPASS);

	configASSERT( xTaskCreate( task2,
			     "myTask2",
				 configMINIMAL_STACK_SIZE,
				 NULL,
				 2,
				 NULL) == pdPASS) ;


	vTaskStartScheduler();

	return 0;
}
